<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOperacji}" id="listaOperacji" var="operacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 250px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" sortable="false" filterable="false">
				<fmt:formatDate value="${operacja.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data księgowania" sortable="false" filterable="false">
				<fmt:formatDate value="${operacja.dataKsiegowania}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota" styleClass="kwotaTd" sortable="false" filterable="false">
				<fmt:formatNumber value="${operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="info" title="Informacja" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty mapaInformacjiOOperacji[operacja.id]}">
						${mapaInformacjiOOperacji[operacja.id].key.opis}
					</c:when>
					<c:when test="${operacja.kwota < 0.0}">
						inna wypłata
					</c:when>
					<c:otherwise>
						---
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
