<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Wyszukiwanie constraint po nazwie</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.developer.baza.ConstraintAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								nazwa klucza
							</label>
						</div>
						<div class="input">
							<stripes:text name="fkName" class="required" size="40"/>
							<stripes:errors field="fkName"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="find" value="Szukaj"/>
					</div>
				</fieldset>
			</stripes:form>

			<c:if test="${not empty listaConstraint}">
				<fieldset>
					<legend>Znaleziono klucze</legend>
					
					<jmesa:tableFacade items="${listaConstraint}" id="listaConstraint" var="constraint" editable="false"
							view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaConstraint)}">
						<jmesa:htmlTable styleClass="alignCenter">
							<jmesa:htmlRow>
								<jmesa:htmlColumn title="FK_NAME" property="fkName" sortable="false" filterable="false" styleClass="daneWyroznione alignLeft"/>
								
								<jmesa:htmlColumn title="PKTABLE_NAME" property="pktableName" sortable="false" filterable="false" styleClass="alignLeft"/>
								<jmesa:htmlColumn title="PKCOLUMN_NAME" property="pkcolumnName" sortable="false" filterable="false" styleClass="alignLeft"/>
								
								<jmesa:htmlColumn title="FKTABLE_NAME" property="fktableName" sortable="false" filterable="false" styleClass="alignLeft"/>
								<jmesa:htmlColumn title="FKCOLUMN_NAME" property="fkcolumnName" sortable="false" filterable="false" styleClass="alignLeft"/>
							</jmesa:htmlRow>
						</jmesa:htmlTable>
					</jmesa:tableFacade>
				</fieldset>
			</c:if>
		</div>
	</stripes:layout-component>
</stripes:layout-render>