<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">	
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/templatePages/cronExpressionBuilderHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Edycja testowego zadania</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.developer.quartz.task.RescheduleTestJobAction" style="width: 600px;">
				<stripes:hidden name="qrtzTriggers.jobName"/>
				<stripes:hidden name="qrtzTriggers.jobGroup"/>
				<stripes:hidden name="qrtzTriggers.triggerType"/>

				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
	
				<fieldset>
					<legend>
						Opis zadania
					</legend>
					<div class="row">
						<div class="label">
							<label>
								grupa wyzwalaczy
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzCronTriggers.triggerGroup.opis}
							<stripes:hidden name="qrtzCronTriggers.triggerGroup"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								nazwa wyzwalacza
							</label>
						</div>
						<div class="input">
							${actionBean.qrtzCronTriggers.triggerName}
							<stripes:hidden name="qrtzCronTriggers.triggerName"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset>
					<legend>
						Wyrażenie typu CRONTAB
					</legend>
	
					<%@ include file="/jsp/templatePages/cronExpressionBuilderField.jsp" %>
					<fieldset>
						<stripes:submit name="zbuduj" value="Zbuduj \/"/>
					</fieldset>

					<div class="row">
						<div class="label">
							<label>
								wyrażenie
							</label>
						</div>
						<div class="input">
							<stripes:text name="qrtzCronTriggers.cronExpression" class="required" title="Wyrażenie cron" size="65"/>
							<stripes:submit name="parsuj" value="Parsuj /\\"/>
							<stripes:errors field="qrtzCronTriggers.cronExpression"/>
						</div>
					</div>
					<c:if test="${not empty startTime}">
						<div class="row">
							<label>Start</label>
							<div class="input"><fmt:formatDate value="${startTime}" pattern="${TIMESTAMP_PATTERN}" /></div>
						</div>
					</c:if>
					<c:if test="${not empty pierwszeUruchomienie}">
						<div class="row">
							<label>Pierwsze uruchomienie</label>
							<div class="input"><fmt:formatDate value="${pierwszeUruchomienie}" pattern="${TIMESTAMP_PATTERN}" /></div>
						</div>
					</c:if>
					<div class="row">
						<div class="label">
							<label>
								data, godzina, minuta start
							</label>
						</div>
						<div class="input">
							<stripes:text name="data" class="data required" title="Data start" formatPattern="${DATE_PATTERN}"/>
							&nbsp;&nbsp;
							<stripes:text name="godzina" class="numberInteger required" title="Godzina start" size="4"/>
							&nbsp;:
							<stripes:text name="minuta" class="required" title="Minuta start" size="4"/>
							<stripes:errors field="decyzjaKierujaca.data"/>
							<stripes:errors field="decyzjaKierujaca.godzina"/>
							<stripes:errors field="decyzjaKierujaca.minuta"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="reschedule" value="Reschedule"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
