SELECT 
	p.ROK, p.MIESIAC,
	p.OSOBA_ID as MIESZKANIEC_ID,
	COALESCE(
		CASE WHEN p.OSOBA_ID = pSkl.OSOBA_ID THEN 'dec. odpł.' ELSE NULL END,
		CASE WHEN pSkl.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE NULL END,
		i.NAZWA
	) as PLATNIK_WINIEN,
	COALESCE(
		CASE WHEN p.OSOBA_ID = pSkl.OSOBA_ID THEN 1 ELSE NULL END,
		CASE WHEN pSkl.OSOBA_ID IS NOT NULL THEN 3 ELSE NULL END,
		4) as KOLEJNOSC,
	MIN(pSkl.KWOTA) as KWOTA_WINIEN
FROM PLATNOSC p
	JOIN PLATNOSC_SKLADNIK pSkl ON pSkl.PLATNOSC_ID = p.ID
		AND p.OSOBA_ID = ${idMieszkanca}
		AND p.ROK = ${rok}
		<#if miesiac??>
			AND p.MIESIAC = ${miesiac}
		</#if>
	LEFT OUTER JOIN OSOBA os ON pSkl.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON pSkl.INSTYTUCJA_ID = i.ID
GROUP BY p.ROK, p.MIESIAC, p.OSOBA_ID, pSkl.OSOBA_ID, pSkl.INSTYTUCJA_ID
ORDER BY ROK, MIESIAC, KOLEJNOSC, PLATNIK_WINIEN
