SELECT
	w.ROK, w.MIESIAC,
	w.MIESZKANIEC_ID,
	COALESCE(
		CASE WHEN w.OSOBA_ID IS NULL AND iW.EMERYTALNO_RENTOWA = TRUE THEN '(E-R)' ELSE NULL END,
		CASE WHEN w.MIESZKANIEC_ID = w.OSOBA_ID THEN 'Wpłata własna mieszkańca' ELSE NULL END,
		CASE WHEN w.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE NULL END,
		iW.NAZWA) as PLATNIK_WPLACIL,
	COALESCE(
		CASE WHEN w.MIESZKANIEC_ID = w.OSOBA_ID THEN 5 ELSE NULL END,
		CASE WHEN w.OSOBA_ID IS NULL AND iW.EMERYTALNO_RENTOWA = TRUE THEN 1 ELSE NULL END,
		CASE WHEN w.OSOBA_ID IS NOT NULL THEN 3 ELSE NULL END,
		4) as KOLEJNOSC,
	SUM(w.KWOTA) as KWOTA_WPLACIL
FROM WPLATA w
	LEFT OUTER JOIN OSOBA os ON w.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA iW ON w.INSTYTUCJA_ID = iW.ID
WHERE
	w.MIESZKANIEC_ID = ${idMieszkanca}
	AND w.ROK = ${rok}
	<#if miesiac??>
		AND w.MIESIAC = ${miesiac}
	</#if>
GROUP BY
	w.ROK, w.MIESIAC,
	COALESCE(
		CASE WHEN w.OSOBA_ID IS NULL AND iW.EMERYTALNO_RENTOWA = TRUE THEN '(E-R)' ELSE NULL END,
		CASE WHEN w.MIESZKANIEC_ID = w.OSOBA_ID THEN 'Wpłata własna mieszkańca' ELSE NULL END,
		CASE WHEN w.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE NULL END,
		iW.NAZWA)
ORDER BY 
	ROK, MIESIAC, KOLEJNOSC, PLATNIK_WPLACIL
