<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();

				$("<input type='hidden' name='zapisz' value=''/>").appendTo("#listaOsob");
				createDistinctHiddenInputFieldsForLimitAndSubmit(id);
			}
			
			$(document).ready(function(){
				fnAdjustTable();

				// usuwanie znaczka oczekiwania
				$("#newLoadImage").removeClass("loadImage");
			});

			fnAdjustTable = function(){
				var colCount = $('#firstTr>td').length; //get total number of column
				var m = 0;
				var n = 0;
				var brow = 'mozilla';
				
				jQuery.each(jQuery.browser, function(i, val) {
					if(val == true){
						brow = i.toString();
					}
				});
			
				$('.tableHeader').each(function(i){
					if (m < colCount){
						if (brow == 'mozilla'){
							$('#firstTd').css("width",$('.tableFirstCol').innerWidth());//for adjusting first td
							$(this).css('width',$('#table_div td:eq('+m+')').innerWidth());//for assigning width to table Header div
						}
						else if (brow == 'msie'){
							$('#firstTd').css("width",$('.tableFirstCol').width());
							$(this).css('width',$('#table_div td:eq('+m+')').width()-2);//In IE there is difference of 2 px
						}
						else if (brow == 'safari'){
							$('#firstTd').css("width",$('.tableFirstCol').width());
							$(this).css('width',$('#table_div td:eq('+m+')').width());
						}
						else {
							$('#firstTd').css("width",$('.tableFirstCol').width());
							$(this).css('width',$('#table_div td:eq('+m+')').innerWidth());
						}
					}
					m++;
				});
			
				$('.tableFirstCol').each(function(i){
					if(brow == 'mozilla'){
						$(this).css('height',$('#table_div td:eq('+colCount*n+')').outerHeight());//for providing height using scrollable table column height
					}
					else if(brow == 'msie'){
						$(this).css('height',$('#table_div td:eq('+colCount*n+')').innerHeight()-2);
					}
					else {
						$(this).css('height',$('#table_div td:eq('+colCount*n+')').height());
					}
					n++;
				});

				// podświetlanie komórek na podstawie pozycji kursora
				$("#table_div_data td")
					.hover(
						function(eventObject) {
							// colIndex >= 0, rowIndex >= 0
							var colIndex = $(this).prevAll().length;
							var rowIndex = $(this).parent('tr').prevAll().length;

							// podświetlanie komórki
							$(this).addClass("highlight");
							
							// podświetlanie komórek w wierszu
							// $tdObj.siblings().addClass("highlight");
							// podświetlanie nagłówka wiersza
							$("#table_div_firstCol td").eq(rowIndex).addClass("highlight");

							// podświetlanie komórek w kolumnie
							/*$(this).parent("tr").siblings().each(function(){
								$(this).children("td:nth-child(" + (colIndex+1) + ")").addClass("highlight");
							});*/
							// podświetlanie nagłówka kolumny
							$("#table_div_header td").eq(colIndex).addClass("highlight");
						},
						function(eventObject) {
							// colIndex >= 0, rowIndex >= 0
							var colIndex = $(this).prevAll().length;
							var rowIndex = $(this).parent('tr').prevAll().length;

							// usuwanie podświetlania komórki
							$(this).removeClass("highlight");

							// usuwanie podświetlania komórek w wierszu
							// $tdObj.siblings().removeClass("highlight");
							// usuwanie podświetlania nagłówka wiersza
							$("#table_div_firstCol td").eq(rowIndex).removeClass("highlight");

							// usuwanie podświetlania komórek w kolumnie
							/*$(this).parent("tr").siblings().each(function(){
								$(this).children("td:nth-child(" + (colIndex+1) + ")").removeClass("highlight");
							});*/
							// usuwanie podświetlania nagłówka kolumny
							$("#table_div_header td").eq(colIndex).removeClass("highlight");
						}
					);
				// podświetlanie headerów komórki po uzyskaniu przez nią focusa
				$("#table_div_data input[type='text']")
					.focus(function(eventObject) {
						var $tdObj = $(this).closest("td");
						// colIndex >= 0, rowIndex >= 0
						var colIndex = $tdObj.prevAll().length;
						var rowIndex = $tdObj.parent('tr').prevAll().length;

						// usuwanie poprzednich zaznaczeń
						$(".highlightHold").removeClass("highlightHold");
						
						// podświetlanie komórki
						$(this).addClass("highlightHold");
						// podświetlanie nagłówków wiersza i kolumny
						$("#table_div_firstCol td").eq(rowIndex).addClass("highlightHold");
						$("#table_div_header td").eq(colIndex).addClass("highlightHold");
					})
					.blur(function(eventObject) {
						// usuwanie poprzednich zaznaczeń
						$(".highlightHold").removeClass("highlightHold");
					});
				// zaznaczenie wiersza dla celów podglądu
				$("#table_div_firstCol td").click(function(eventObject) {
					var rowIndex = $(this).parent("tr").prevAll().length;
					if($(this).hasClass("highlightHold")) {
						$(this).removeClass("highlightHold");
						$("#table_div_data tr:nth-child(" + (rowIndex+1) + ") td").removeClass("highlightHold")
					} else {
						// usuwanie poprzednich zaznaczeń
						$(".highlightHold").removeClass("highlightHold");

						// zaznaczanie
						$(this).addClass("highlightHold");
						$("#table_div_data tr:nth-child(" + (rowIndex+1) + ") td").addClass("highlightHold")
					}
				});
				// zaznaczanie kolumny dla celów podglądu
				$("#table_div_header td").click(function(eventObject){
					var colIndex = $(this).prevAll().length;

					if($(this).hasClass("highlightHold")) {
						$(this).removeClass("highlightHold");
						$("#table_div_data tr td:nth-child(" + (colIndex+1) + ")").removeClass("highlightHold");
					} else {
						// usuwanie poprzednich zaznaczeń
						$(".highlightHold").removeClass("highlightHold");
						
						// zaznaczanie
						$(this).addClass("highlightHold");
						$("#table_div_data tr td:nth-child(" + (colIndex+1) + ")").addClass("highlightHold");
					}
				});
			};

			//function to support scrolling of title and first column
			fnScroll = function(){
				$('#divHeader').scrollLeft($('#table_div').scrollLeft());
				$('#firstcol').scrollTop($('#table_div').scrollTop());
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Large data table (test)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.developer.test.LargeDataTableAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<%-- ustawienia wyświetlania --%>
				<c:set var="rowHeadersHeight" value="480"/>
				<c:set var="rowHeadersWidth" value="180"/>

				<c:set var="divColHeadersWidth" value="700"/>
				
				<c:set var="divDataRowWidth" value="${divColHeadersWidth}"/>
				<div id="newLoadImage" class="loadImage"></div>
				<fieldset>
					<table id="listaOsob" cellspacing="0" cellpadding="0" border="0">
						<%-- nagłównki kolumn --%>
						<tr>
							<td id="firstTd" class="alignCenter"></td>
							<td>
								<div id="divHeader" class="jmesa" style="overflow:hidden; width:${divColHeadersWidth}px;">
									<table id="table_div_header" class="table" cellspacing="0" cellpadding="0" border="1">
										<thead>
											<tr class="header">
												<c:forEach items="${listaDni}" var="dzien">
													<td>
														<div class="tableHeader">${dzien}</div>
													</td>
												</c:forEach>
											</tr>
										</thead>
									</table>
								</div>
							</td>
						</tr>
						<%-- nagłówki wierszy --%>
						<tr>
							<td valign="top">
								<div id="firstcol" class="jmesa" style="overflow: hidden;">
									<table id="table_div_firstCol" class="table" width="${rowHeadersWidth}px" cellspacing="0" cellpadding="0" border="1" >
										<tbody class="tbody">
											<c:forEach items="${actionBean.listaOsob}" var="osoba" varStatus="i">
												<tr class="${i.count % 2 == 0 ? 'even' : 'odd'}">
													<td class="tableFirstCol">${osoba.nazwiskoImie}</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
							</td>
							<td valign="top">
								<div id="table_div" class="jmesa" style="overflow:auto; width:${divDataRowWidth}px;position:relative" onscroll="fnScroll()">
									<table id="table_div_data" class="table" cellspacing="0" cellpadding="0" border="1">
										<tbody class="tbody">
											<tr id="firstTr" class="odd">
												<c:forEach items="${listaDni}" var="dzien">
													<td>
														<stripes:text name="swiadczeniaMap[${actionBean.listaOsob[0].id}_${dzien}]" class="numberInteger required" size="5"/>
														<stripes:errors field="swiadczeniaMap[${actionBean.listaOsob[0].id}_${dzien}]"></stripes:errors>
													</td>
												</c:forEach>
											</tr>
											<c:forEach items="${actionBean.listaOsob}" var="osoba" begin="1" varStatus="i">
												<tr class="${(i.count - 1) % 2 == 0 ? 'even' : 'odd'}">
													<c:forEach items="${listaDni}" var="dzien">
														<td>
															<%-- wersja z inputami --%>
															<stripes:text name="swiadczeniaMap[${osoba.id}_${dzien}]" class="numberInteger required" size="5"/>
															<stripes:errors field="swiadczeniaMap[${actionBean.listaOsob[0].id}_${dzien}]"></stripes:errors>
														</td>
													</c:forEach>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
							</td>
						</tr>
					</table>
					<script type="text/javascript">
						jQuery.jmesa.addTableFacade('listaOsob');
						jQuery.jmesa.setMaxRowsToLimit('listaOsob','${wynikLimit.rowSelect.maxRows}');
						jQuery.jmesa.setTotalRowsToLimit('listaOsob','${wynikLimit.rowSelect.totalRows}');
						jQuery.jmesa.setPageToLimit('listaOsob','${wynikLimit.rowSelect.page + 1}');
					</script>
					<div style="padding-left: 5px;">
						Strona ${actionBean.jMesaSQLQueryTool.str} / ${actionBean.jMesaSQLQueryTool.liczbaStron}
					</div>

					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="lista">
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:button name="zapisz" value="Zapisz" onclick="onInvokeAction('listaOsob');"/>
						</div>
					</fieldset>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>