<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				$("#mieszkaniec").click();
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Zyżycie leków (test)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.developer.test.ZuzycieLekowTestAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Dane do wyliczeń
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/lekPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								wyliczOdDnia
							</label>
						</div>
						<div class="input">
							<stripes:text name="wyliczOdDnia" class="data required" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="wyliczOdDnia"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								wyliczNaDzien
							</label>
						</div>
						<div class="input">
							<stripes:text name="wyliczNaDzien" class="data required" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="wyliczNaDzien"/>
						</div>
					</div>
				</fieldset>
				
				<c:if test="${not empty zuzycie}">
					<fieldset>
						<legend>
							Wyliczenia
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									zużycie
								</label>
							</div>
							<div class="input">
								${zuzycie.zuzycie}
							</div>
						</div>
					</fieldset>
				</c:if>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="przelicz" value="Przelicz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>