<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodgladAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset style="width: 750px;">
					<legend>
						Wpłata inna (podgląd)
					</legend>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templatePages/polaWplataWspolne.jsp" %>
					<%@ include file="/jsp/templatePages/polaWplataKwota.jsp" %>
					<c:choose>
						<c:when test="${not empty actionBean.wplata.osobaId}">
							<%@ include file="/jsp/templatePages/polaWplataOsoba.jsp" %>
						</c:when>
						<c:when test="${not empty actionBean.wplata.instytucjaId}">
							<%@ include file="/jsp/templatePages/polaWplataInstytucja.jsp" %>
						</c:when>
						<c:otherwise>
							<font style="color: red;">NIE ZNALEZIONO DANYCH OSOBY WPŁACAJĄCEJ</font>
						</c:otherwise>
					</c:choose>
					<div class="row">
						<div class="label">
							ze świadczenia?
						</div>
						<div class="input">
							${not empty actionBean.wplata.swiadczenieId ? 'TAK' : 'NIE'}
						</div>
					</div>
					
					<fieldset>
						<legend>
							Na poczet zadłużenia
						</legend>
						
						<jmesa:tableFacade items="${listaSkladnikow}" id="listaSkladnikow" var="skladnik" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" 
								maxRows="${fn:length(listaSkladnikow)}">
							<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
								<jmesa:htmlRow>
									<jmesa:htmlColumn property="naPoczet" title="Na poczet" sortable="false">
										<c:choose>
											<c:when test="${not empty skladnik.fakturaId}">
												faktura ${skladnik.faktura.nr} z dnia<br/>
												<fmt:formatDate value="${skladnik.faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
											</c:when>
											<c:when test="${not empty skladnik.podmiotD}">
												zadł. ${skladnik.podmiotD.nazwa}
											</c:when>
											<c:otherwise>
												<tt:jspException/>
											</c:otherwise>
										</c:choose>
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="wierzyciel" title="Wierzyciel" sortable="false">
										${skladnik.podmiotW.nazwa}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="rokMiesiac" title="Rok/miesiąc" styleClass="daneWyroznione" sortable="false">
										${skladnik.rok}/${skladnik.miesiac}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="rodzaj" title="Rodzaj" styleClass="daneWyroznione" sortable="false">
										${skladnik.rodzajZadluzenia.opis}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="alignRight daneWyroznione">
										<fmt:formatNumber value="${skladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
									</jmesa:htmlColumn>
								</jmesa:htmlRow>
							</jmesa:htmlTable>
						</jmesa:tableFacade>
					</fieldset>
					<fieldset>
						<legend>
							Na poczet depozytów
						</legend>
						
						<jmesa:tableFacade items="${listaWplatDepozyt}" id="listaWplatDepozyt" var="wplataD" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" 
								maxRows="${fn:length(listaWplatDepozyt)}">
							<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
								<jmesa:htmlRow>
									<jmesa:htmlColumn property="podmiot" title="Podmiot" sortable="false">
										${wplataD.operacja.konto.podmiot.nazwa}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="konto" title="Konto" sortable="false">
										${wplataD.operacja.konto.nr}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="alignRight daneWyroznione">
										<fmt:formatNumber value="${wplataD.operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
									</jmesa:htmlColumn>
								</jmesa:htmlRow>
							</jmesa:htmlTable>
						</jmesa:tableFacade>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" event="lista" class="button">
							&laquo; Lista wpłat
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
