<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${actionBean.listaWplat}" id="listaWplat" var="wplata" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaWplat)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec">
				<c:set var="i" value="${i + 1}"/>
				
				${wplata.mieszkaniec.nazwiskoImie}
				
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.id"/>
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Świadczenie">
				${wplata.swiadczenie.nazwa} (<fmt:formatNumber value="${wplata.swiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
				
				<stripes:hidden name="listaWplat[${i}].instytucjaId"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenieId"/>

				<stripes:hidden name="listaWplat[${i}].swiadczenie.id"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenie.kwota"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenie.nazwa"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wplacono" title="Wplacono" styleClass="alignCenter">
				<stripes:checkbox name="rejestrujWplate[${wplata.swiadczenieId}]"></stripes:checkbox>
			</jmesa:htmlColumn>
			<c:if test="${mozliwoscWplatyNaDepozyt}">
				<jmesa:htmlColumn property="depozyt" title="Depozyt" styleClass="alignCenter">
					<c:set var="kontoDepozytowe" value="${mapaKontDepozytowychMieszkancow[wplata.mieszkaniec.id]}"/>
					<c:if test="${not empty kontoDepozytowe}">
						<stripes:checkbox name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="${kontoDepozytowe.id}"/>&nbsp;<span title="Numer konta depozytowego">(${kontoDepozytowe.nr})</span>
					</c:if>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]">
				<stripes:text name="listaWplat[${i}].kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" title="Wpłacaona kwota" />
				<stripes:errors field="listaWplat[${i}].kwota"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<%@ include file="podsumowanieWplat.jsp" %>
