<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%-- puste implementacje mettod typowych dla wprowadzania danych (by JavaScript się nie wywalił)  --%>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpEmptyHead.jsp" %>
		<script type="text/javascript">
			$(document).ready(function() {
				$("a[onClick^='clearOData']").hide();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.zadluzenie.WplataPodgladAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Wpłata dla mieszkańca (podgląd)
					</legend>
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templatePages/polaWplataWspolne.jsp" %>
					<%@ include file="/jsp/templatePages/polaWplataSwiadczenie.jsp" %>
					<%@ include file="/jsp/templatePages/polaWplataKwota.jsp" %>
					<c:choose>
						<c:when test="${not empty actionBean.wplata.osobaId}">
							<%@ include file="/jsp/templatePages/polaWplataOsoba.jsp" %>
						</c:when>
						<c:when test="${not empty actionBean.wplata.instytucjaId}">
							<%@ include file="/jsp/templatePages/polaWplataInstytucja.jsp" %>
						</c:when>
						<c:otherwise>
							<font style="color: red;">NIE ZNALEZIONO DANYCH OSOBY WPŁACAJĄCEJ</font>
						</c:otherwise>
					</c:choose>
					
					<fieldset>
						<legend>
							Na poczet zadłużenia
						</legend>
						
						<jmesa:tableFacade items="${listaSkladnikow}" id="listaSkladnikow" var="skladnik" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" 
								maxRows="${fn:length(listaSkladnikow)}">
							<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
								<jmesa:htmlRow>
									<jmesa:htmlColumn property="rokMiesiac" title="Rok/miesiąc" styleClass="daneWyroznione" sortable="false">
										${skladnik.rok}/${skladnik.miesiac}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="dluznik" title="Dłużnik/Faktura" sortable="false">
										<c:choose>
											<c:when test="${not empty skladnik.fakturaId}">
												${skladnik.faktura.nr} z dnia<br/>
												<fmt:formatDate value="${skladnik.faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
											</c:when>
											<c:when test="${not empty skladnik.podmiotD}">
												${skladnik.podmiotD.nazwa}
											</c:when>
											<c:otherwise>
												<tt:jspException/>
											</c:otherwise>
										</c:choose>
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="rodzaj" title="Rodzaj" styleClass="daneWyroznione" sortable="false">
										${skladnik.rodzajZadluzenia.opis}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="alignRight daneWyroznione">
										<fmt:formatNumber value="${skladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
									</jmesa:htmlColumn>
								</jmesa:htmlRow>
							</jmesa:htmlTable>
						</jmesa:tableFacade>
					</fieldset>
					
					<fieldset>
						<legend>
							Na poczet depozytów
						</legend>
						
						<jmesa:tableFacade items="${listaWplatDepozyt}" id="listaWplatDepozyt" var="wplataD" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" 
								maxRows="${fn:length(listaWplatDepozyt)}">
							<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
								<jmesa:htmlRow>
									<jmesa:htmlColumn property="podmiot" title="Podmiot" sortable="false">
										${wplataD.operacja.konto.podmiot.nazwa}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="konto" title="Konto" sortable="false">
										${wplataD.operacja.konto.nr}
									</jmesa:htmlColumn>
									<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="alignRight daneWyroznione">
										<fmt:formatNumber value="${wplataD.operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
									</jmesa:htmlColumn>
								</jmesa:htmlRow>
							</jmesa:htmlTable>
						</jmesa:tableFacade>
					</fieldset>
					
					<fieldset>
						<legend>
							Zarejestrowano na...
						</legend>
						
						<dl>
							<dt>Nota</dt>
							<dd>
								<c:choose>
									<c:when test="${empty nota}">
										Brak
									</c:when>
									<c:otherwise>
										wygenerowana na nocie nr ${nota.nr}
										<ttSec:secure roles="SOC_R_ODPLATNOSC">
											<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaEdycjaDispatcherAction" event="dispatch">
												<stripes:param name="nota.id" value="${nota.id}"/>
												<stripes:param name="nota.typ" value="${nota.typ}"/>
												"${not empty nota.nr ? nota.nr : '---'}"
											</stripes:link>
										</ttSec:secure>
									</c:otherwise>
								</c:choose>
							</dd>

							<dt>Listy zbiorcze</dt>
							<dd>
								<c:choose>
									<c:when test="${not empty swiadczenieWplata}">
										Wpłata świadczeń z terminu '${swiadczenieWplata.termin.tekst}' generowane w dniu
										<fmt:formatDate value="${swiadczenieWplata.data}" pattern="${DATE_PATTERN}"/>
										-&gt;${swiadczenieWplata.id}
										<ttSec:secure roles="SOC_U_WPLATY_PLATNOSC">
											<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataEdycjaAction" event="edycja">
												<stripes:param name="swiadczenieWplata" value="${swiadczenieWplata.id}"/>
												Podgląd
											</stripes:link>
										</ttSec:secure>
									</c:when>
									<c:when test="${not empty instytucjaWplata}">
										Lista wpłat instytucji generowana w dniu
										<fmt:formatDate value="${instytucjaWplata.data}" pattern="${DATE_PATTERN}"/>
										-&gt;
										<ttSec:secure roles="SOC_U_WPLATY_PLATNOSC">
											<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataEdycjaAction" event="edycja">
												<stripes:param name="instytucjaWplata" value="${instytucjaWplata.id}"/>
												Podgląd
											</stripes:link>
										</ttSec:secure>
									</c:when>
									<c:otherwise>
										Brak
									</c:otherwise>
								</c:choose>
							</dd>
							
							<dt>Plik importu</dt>
							<dd>
								<c:choose>
									<c:when test="${not empty plikImportu}">
										Import na podstawie pliku '${plikImportu.nazwa}' z dnia
										<fmt:formatDate value="${plikImportu.data}" pattern="${DATE_PATTERN}"/>
									</c:when>
									<c:otherwise>
										Brak
									</c:otherwise>
								</c:choose>
							</dd>
						</dl>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.zadluzenie.ListaWplatAction" class="button">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							&laquo; Wróć
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
