<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					selectClass : 'asmSelect'
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Generowanie sprawozdania MPiPS 05</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.sprawozdanie.generowanie.mpips05.s2012.SprawozdanieGeneratorAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Dane sprawozdania</legend>
					
					<div class="row">
						<div class="label">
							<label>
								data wykonania
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataWykonania" class="data required" title="Data wykonania sprawozdania" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataWykonania"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								zlicz odejścia do<br/>
								innych placówek dla
							</label>
						</div>
						<div class="input">
							<stripes:select name="odejsciaInnePlacowki[]" multiple="multiple" 
									id="selOdejsciaInnePlacowki" title="${OPCJA_WYBIERZ}">
								<stripes:options-collection collection="${kodMiejscaOdejsciaZDPSuSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:errors field="odejsciaInnePlacowki"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								zlicz odejścia do<br/>
								rodziny dla
							</label>
						</div>
						<div class="input">
							<stripes:select name="odejsciaDoRodziny[]" multiple="multiple" 
									id="selOdejsciaDoRodziny" title="${OPCJA_WYBIERZ}">
								<stripes:options-collection collection="${kodMiejscaOdejsciaZDPSuSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:errors field="odejsciaDoRodziny"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								zlicz usamodzielnienia dla
							</label>
						</div>
						<div class="input">
							<stripes:select name="odejsciaUsamodzielnienia[]" multiple="multiple" 
									id="selOdejsciaUsamodzielnienia" title="${OPCJA_WYBIERZ}">
								<stripes:options-collection collection="${kodMiejscaOdejsciaZDPSuSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:errors field="odejsciaUsamodzielnienia"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset>
					<legend>
						Adresat sprawozdania
					</legend>
					
					<stripes:hidden name="adresatSprawozdania.id"/>
					<stripes:hidden name="adresatSprawozdania.adresId"/>
					<stripes:hidden name="adresatSprawozdania.rodzajSprawozdania" value="DPS_MPIPS"/>
					<c:set var="poleAdresatSprawozdania" value="adresatSprawozdania"/>
					<%@ include file="/jsp/templatePages/polaAdresatSprawozdania.jsp" %>
					
					<fieldset>
						<legend>
							Adres jednostki&nbsp;&nbsp;&nbsp;
							<stripes:text id="adresPodp_adres" name="adresPodp_adresatAdres" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('adresatAdres');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" name="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>
						<stripes:hidden name="adresatAdres.id"/>
						<stripes:hidden id="adresatAdresAdr" name="adresatAdres.panstwo" value="500" class="panstwo"/>
						<stripes:hidden name="adresatAdres.typ" value="POBYTU_STALEGO"/>
		
						<c:set var="nazwaPolaAdresu" value="adresatAdres"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="/jsp/templatePages/polaAdresu.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.sprawozdanie.ListaSprawozdanAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="tworzSprawozdanie" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
