<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script>
			$(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script> 
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Test submitu jako multiSelect</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.developer.test.RaportMultiSelectableTestAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors field="listaCzynnosci"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								Czynności
							</label>
						</div>
						<div class="input">
							<ul class="toggleSelectable">
								<li class="ui-widget-content" id="cz_1">
									Czynność 1
									<stripes:checkbox class="checkbox" name="listaCzynnosci" value="1"/>
								</li>
								<li class="ui-widget-content" id="cz_2">
									Czynność 2
									<stripes:checkbox class="checkbox" name="listaCzynnosci" value="2"/>
								</li>
								<li class="ui-widget-content" id="cz_3">
									Czynność 3
									<stripes:checkbox class="checkbox" name="listaCzynnosci" value="3"/>
								</li>
								<li class="ui-widget-content" id="cz_3">
									Czynność 4
									<stripes:checkbox class="checkbox" name="listaCzynnosci" value="4"/>
								</li>
							</ul>
						</div>
					</div>
					<stripes:errors field="listaCzynnosci"/>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>